Package algorithmen

## Class GraphAlgo

- java.lang.Object
- - java.lang.Thread
  - - algorithmen.GraphAlgo

- All Implemented Interfaces:
    `Runnable`
  Direct Known Subclasses:
    `GraphAlgo_BellmanFord`, `GraphAlgo_Breitensuche`, `GraphAlgo_Coloring_Schueler`, `GraphAlgo_ColoringBacktracking`, `GraphAlgo_ColoringGreedy`, `GraphAlgo_ColoringGreedyRandom`, `GraphAlgo_Dijkstra`, `GraphAlgo_DominatingSetBacktracking`, `GraphAlgo_DominatingSetGenetisch`, `GraphAlgo_DominatingSetGreedyA`, `GraphAlgo_DominatingSetGreedyB`, `GraphAlgo_DominatingSetGreedyC`, `GraphAlgo_DominatingSetGreedyD`, `GraphAlgo_DominatingSetGreedyE`, `GraphAlgo_DominatingSetGreedyF`, `GraphAlgo_DominatingSetGreedyG`, `GraphAlgo_DominatingSetGreedyH`, `GraphAlgo_DominatingSetGreedyI`, `GraphAlgo_EulerkreisExistenz`, `GraphAlgo_Moore`, `GraphAlgo_MST_Kruskal`, `GraphAlgo_MST_Prim`, `GraphAlgo_Tiefensuche`, `GraphAlgo_TiefensucheRek`, `GraphAlgo_toplogischeSortierung`, `GraphAlgo_TSPBacktracking`, `GraphAlgo_TSPGenetisch`, `GraphAlgo_TSPGreedy`, `GraphAlgo_TSPGreedy2`, `GraphAlgo_TSPGreedyOpt`, `GraphAlgo_ZyklusBacktracking`

      public abstract class GraphAlgo
      extends Thread

  description
  Version:
    1.0 from 26.04.2019
  Author:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Graph` | `g` |
    `protected boolean` | `inArbeit` |

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GraphAlgo()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `fuehreAlgorithmusAus()` |
    `abstract String` | `getBezeichnung()` |
    `Knoten` | `getStartKnoten()` |
    `boolean` | `getWaitforclick()` |
    `boolean` | `getWaitforrepaint()` |
    `void` | `info​(String s)` |
    `void` | `infoIndentLess()` |
    `void` | `infoIndentMore()` |
    `void` | `melde​(String s)` |
    `void` | `resetInfo()` |
    `void` | `run()` |
    `void` | `setGraph​(Graph g)` |
    `void` | `setGUIElemente​(GraphPlotter graphPlotter, Hilfe hilfe)` |
    `void` | `setSpeed​(int delay)` |
    `void` | `setStartKnoten​(Knoten k)` |
    `void` | `setStepping​(boolean stepping)` |
    `void` | `setWaitforclick​(boolean waitforclickNeu)` |
    `void` | `setWaitforrepaint​(boolean waitforrepaintNeu)` |
    `void` | `step()` |

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### inArbeit

          protected boolean inArbeit

    - #### g

          protected Graph g

  - ### Constructor Detail

    - #### GraphAlgo

          public GraphAlgo()

  - ### Method Detail

    - #### setGUIElemente

          public void setGUIElemente​(GraphPlotter graphPlotter,
                                     Hilfe hilfe)

    - #### setGraph

          public void setGraph​(Graph g)

    - #### step

          public void step()

    - #### getWaitforrepaint

          public boolean getWaitforrepaint()

    - #### setWaitforrepaint

          public void setWaitforrepaint​(boolean waitforrepaintNeu)

    - #### getWaitforclick

          public boolean getWaitforclick()

    - #### setWaitforclick

          public void setWaitforclick​(boolean waitforclickNeu)

    - #### setStepping

          public void setStepping​(boolean stepping)

    - #### setSpeed

          public void setSpeed​(int delay)

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### setStartKnoten

          public void setStartKnoten​(Knoten k)

    - #### getStartKnoten

          public Knoten getStartKnoten()

    - #### fuehreAlgorithmusAus

          public abstract void fuehreAlgorithmusAus()

    - #### getBezeichnung

          public abstract String getBezeichnung()

    - #### melde

          public void melde​(String s)

    - #### info

          public void info​(String s)

    - #### resetInfo

          public void resetInfo()

    - #### infoIndentMore

          public void infoIndentMore()

    - #### infoIndentLess

          public void infoIndentLess()